<template>
  <div id="cascaderMap">
    <span class="task-state" style="margin-right: 12px;">任务执行情况</span>
    <el-select v-model="taskState" placeholder="请选择" filterable style="width:120px;" size="small" @change="changeState">
      <el-option  v-for="item in taskStateList" :key="item.code" :label="item.label" :value="item.value"></el-option>
    </el-select>
  </div>
</template>
<script>
import { mapGetters } from 'vuex';
export default {
  computed: {
    ...mapGetters("layout", ["projectId"])
  },
  data() {
    return {
      taskStateList: [{
				value: '',
				label: '全部'
			}, {
				value: 1,
				label: '待验证'
			}, {
				value: 0,
				label: '已完成'
			}, {
				value: -1,
				label: '未找到'
			}],
			taskState: '',//任务执行情况
    };
  },
  methods: {
    setValue(val) {
      this.taskState = val
    },
    //修改val
    changeState(val) {
      this.$emit("change", val)
    }
  }
};
</script>
<style lang="less" scoped>
#cascaderMap {
  float: left;
  margin-left: 10px;
  .task-state {
    color: #999999;
    font-size: 14px;
  }
}
</style>
